import utils from '@/utils/lib'

const queryManager = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superQueryManagerRes = data => {
      utils.SockEventMap.superQueryManagerRes = undefined
      resolve(data)
    }
    utils.SendWss('superQueryManager', query)
  })
}

const queryDevice = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superQueryDeviceRes = data => {
      utils.SockEventMap.superQueryDeviceRes = undefined
      resolve(data)
    }
    utils.SendWss('superQueryDevice', query)
  })
}

const updateDevice = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superUpdateDeviceRes = data => {
      utils.SockEventMap.superUpdateDeviceRes = undefined
      if (data.status) resolve()
      else reject(data.msg)
    }
    utils.SendWss('superUpdateDevice', info)
  })
}

const batchAssign = info => {
  console.log(info)
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superBatchAssignRes = data => {
      utils.SockEventMap.superBatchAssignRes = undefined
      if (data.status) resolve()
      else reject(data.msg)
    }
    utils.SendWss('superBatchAssign', info)
  })
}

export default {
  queryManager, queryDevice, updateDevice, batchAssign
}
