import utils from '@/utils/lib'

const queryWine = query => {
  return new Promise(resolve => {
    utils.SockEventMap.superQueryWineRes = data => {
      utils.SockEventMap.superQueryWineRes = undefined
      resolve(data)
    }
    utils.SendWss('superQueryWine', query)
  })
}

const updateWine = info => {
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superUpdateWineRes = data => {
      utils.SockEventMap.superUpdateWineRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superUpdateWine', info)
  })
}

const deleteWine = ids => {
  return new Promise(resolve => {
    utils.SockEventMap.superDeleteWineRes = data => {
      utils.SockEventMap.superDeleteWineRes = undefined
      resolve(data)
    }
    utils.SendWss('superDeleteWine', ids)
  })
}

const addWine = info => {
  console.log(info)
  return new Promise((resolve, reject) => {
    utils.SockEventMap.superAddWineRes = data => {
      utils.SockEventMap.superAddWineRes = undefined
      if (data.status) {
        resolve()
      } else {
        reject(data.msg)
      }
    }
    utils.SendWss('superAddWine', info)
  })
}

export default {
  queryWine, updateWine, deleteWine, addWine
}
