const steps = [
  {
    element: '#left-menu-logo',
    popover: {
      title: '系统标识',
      description: '任意地方点击可回到系统首页',
      position: 'right',
      closeBtnText: '关闭',
      nextBtnText: '下一个',
      prevBtnText: '上一个'
    },
    stageBackground: 'rgba(255,255,255,0.2)'
  }, {
    element: '#left-menu-wrapper',
    popover: {
      title: '菜单列表',
      description: '列出了您可以访问的所有页面',
      position: 'right',
      closeBtnText: '关闭',
      nextBtnText: '下一个',
      prevBtnText: '上一个'
    },
    stageBackground: 'rgba(255,255,255,0.2)'
  }, {
    element: '#hamburger-container',
    popover: {
      title: '切换菜单',
      description: '点击可显示/隐藏左侧菜单栏',
      position: 'bottom',
      closeBtnText: '关闭',
      nextBtnText: '下一个',
      prevBtnText: '上一个'
    },
    stageBackground: 'rgba(255,255,255,0.2)'
  },
  {
    element: '#breadcrumb-container',
    popover: {
      title: '您的位置',
      description: '这里显示您当前所在的目录',
      position: 'bottom',
      closeBtnText: '关闭',
      nextBtnText: '下一个',
      prevBtnText: '上一个'
    },
    stageBackground: 'rgba(255,255,255,0.2)'
  },
  {
    element: '#header-search',
    popover: {
      title: '目录查找',
      description: '点击可快速查询目录',
      position: 'left',
      closeBtnText: '关闭',
      nextBtnText: '下一个',
      prevBtnText: '上一个'
    },
    stageBackground: 'rgba(255,255,255,0.2)'
  },
  {
    element: '#screenfull',
    popover: {
      title: '全屏显示',
      description: '点击可使用全屏显示',
      position: 'left',
      closeBtnText: '关闭',
      nextBtnText: '下一个',
      prevBtnText: '上一个'
    },
    stageBackground: 'rgba(255,255,255,0.2)'
  },
  {
    element: '#tags-view-container',
    popover: {
      title: '导航标签',
      description: '列出了您访问过的一些标签',
      position: 'bottom',
      closeBtnText: '关闭',
      doneBtnText: '完成',
      prevBtnText: '上一个'
    },
    padding: 0,
    stageBackground: 'rgba(255,255,255,0.2)'
  }
]

export default steps
